using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class SiteMapDataSourcePage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        SiteMapDataSource siteMapDataSource = new SiteMapDataSource();
        siteMapDataSource.SiteMapProvider = "XmlSiteMapProvider";       
        TreeView  TreeView1 = new TreeView();
        TreeView1.DataSource=siteMapDataSource;
        TreeView1.DataBind();
        this.form1.Controls.Add(TreeView1);
    }
}
